<?php

namespace HelpGent\App\DTO;

defined( 'ABSPATH' ) || exit;

use HelpGent\WpMVC\DTO\DTO;

class ChunkFileDTO extends DTO {
    private int $id;

    private string $file_name;

    private string $content;

    private int $range_from;

    private int $range_to;

    private int $file_size;

    private string $mime_type;

    /**
     * Get the value of id
     *
     * @return int
     */
    public function get_id(): int {
        return $this->id;
    }
    
    /**
     * Set the value of id
     *
     * @param int $id
     * @return self
     */
    public function set_id( int $id ): self {
        $this->id = $id;
    
        return $this;
    }

    /**
     * Get the value of file_name
     *
     * @return string
     */
    public function get_file_name(): string {
        return $this->file_name;
    }
    
    /**
     * Set the value of file_name
     *
     * @param string $file_name
     * @return self
     */
    public function set_file_name( string $file_name ): self {
        $this->file_name = $file_name;
    
        return $this;
    }

    /**
     * Get the value of content
     *
     * @return string
     */
    public function get_content(): string {
        return $this->content;
    }
    
    /**
     * Set the value of content
     *
     * @param string $content
     * @return self
     */
    public function set_content( string $content ): self {
        $this->content = $content;
    
        return $this;
    }

    /**
     * Get the value of range_from
     *
     * @return int
     */
    public function get_range_from(): int {
        return $this->range_from;
    }
    
    /**
     * Set the value of range_from
     *
     * @param int $range_from
     * @return self
     */
    public function set_range_from( int $range_from ): self {
        $this->range_from = $range_from;
    
        return $this;
    }

    /**
     * Get the value of range_to
     *
     * @return int
     */
    public function get_range_to(): int {
        return $this->range_to;
    }
    
    /**
     * Set the value of range_to
     *
     * @param int $range_to
     * @return self
     */
    public function set_range_to( int $range_to ): self {
        $this->range_to = $range_to;
    
        return $this;
    }

    /**
     * Get the value of file_size
     *
     * @return int
     */
    public function get_file_size(): int {
        return $this->file_size;
    }
    
    /**
     * Set the value of file_size
     *
     * @param int $file_size
     * @return self
     */
    public function set_file_size( int $file_size ): self {
        $this->file_size = $file_size;
    
        return $this;
    }

    /**
     * Get the value of mime_type
     *
     * @return string
     */
    public function get_mime_type(): string {
        return $this->mime_type;
    }
    
    /**
     * Set the value of mime_type
     *
     * @param string $mime_type
     * @return self
     */
    public function set_mime_type( string $mime_type ): self {
        $this->mime_type = $mime_type;
    
        return $this;
    }
}